import { ActionType, Actions } from './meta-probe-status.action';
import {
  State,
  initialState,
  metaProbeStatusEntityAdapter,
} from './meta-probe-status.state';

export function reducer(state: State = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.ReadAll: {
      return {
        ...state,
      };
    }
    case ActionType.ReadAllSuccess: {
      return metaProbeStatusEntityAdapter.setAll(action.payload, state);
    }
    case ActionType.ReadAllFailure: {
      return metaProbeStatusEntityAdapter.setError(action.payload, state);
    }

    default: {
      return state;
    }
  }
}
